<?php

declare(strict_types=1);

namespace App\Entity\Billing;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;

/**
 * Période associée à une facture
 * (Ex: Deuxième trimestre 2020).
 */
// #[Auditable]
#[ApiResource(operations: [])]
#[ORM\Entity]
class BillPeriod
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    public function getId(): ?int
    {
        return $this->id;
    }
}
